HttpRequestBase (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.methods
Class HttpRequestBase

    java.lang.Object
      org.apache.http.message.AbstractHttpMessage
          org.apache.http.client.methods.AbstractExecutionAwareRequest
              org.apache.http.client.methods.HttpRequestBase

All Implemented Interfaces:
  Cloneable, AbortableHttpRequest, Configurable, HttpExecutionAware, HttpUriRequest, org.apache.http.HttpMessage, org.apache.http.HttpRequest

Direct Known Subclasses:
  HttpDelete, HttpEntityEnclosingRequestBase, HttpGet, HttpHead, HttpOptions, HttpTrace

    public abstract class HttpRequestBase

extends AbstractExecutionAwareRequest
implements HttpUriRequest, Configurable

Base implementation of `HttpUriRequest`.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.message.AbstractHttpMessage
`headergroup, params`

Constructor Summary
`HttpRequestBase()`

Method Summary
`RequestConfig` | `getConfig()` Returns actual request configuration.
`abstract String` | `getMethod()` Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.
`org.apache.http.ProtocolVersion` | `getProtocolVersion()`
`org.apache.http.RequestLine` | `getRequestLine()`
`URI` | `getURI()` Returns the original request URI.
`void` | `releaseConnection()` A convenience method to simplify migration from HttpClient 3.1 API.
`void` | `setConfig(RequestConfig config)`
`void` | `setProtocolVersion(org.apache.http.ProtocolVersion version)`
`void` | `setURI(URI uri)`
`void` | `started()`
`String` | `toString()`

Methods inherited from class org.apache.http.client.methods.AbstractExecutionAwareRequest
`abort, clone, completed, isAborted, reset, setCancellable, setConnectionRequest, setReleaseTrigger`

Methods inherited from class org.apache.http.message.AbstractHttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.http.client.methods.HttpUriRequest
`abort, isAborted`

Methods inherited from interface org.apache.http.HttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Constructor Detail

### HttpRequestBase

    public HttpRequestBase()

Method Detail

### getMethod

    public abstract String getMethod()

  Description copied from interface: `HttpUriRequest`
  Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

  Specified by:
    `getMethod` in interface `HttpUriRequest`

### setProtocolVersion

    public void setProtocolVersion(org.apache.http.ProtocolVersion version)

  Since:
    4.3

### getProtocolVersion

    public org.apache.http.ProtocolVersion getProtocolVersion()

  Specified by:
    `getProtocolVersion` in interface `org.apache.http.HttpMessage`

### getURI

    public URI getURI()

  Returns the original request URI.

  Please note URI remains unchanged in the course of request execution and is not updated if the request is redirected to another location.

  Specified by:
    `getURI` in interface `HttpUriRequest`

### getRequestLine

    public org.apache.http.RequestLine getRequestLine()

  Specified by:
    `getRequestLine` in interface `org.apache.http.HttpRequest`

### getConfig

    public RequestConfig getConfig()

  Description copied from interface: `Configurable`
  Returns actual request configuration.

  Specified by:
    `getConfig` in interface `Configurable`

### setConfig

    public void setConfig(RequestConfig config)

### setURI

    public void setURI(URI uri)

### started

    public void started()

  Since:
    4.2

### releaseConnection

    public void releaseConnection()

  A convenience method to simplify migration from HttpClient 3.1 API. This method is equivalent to `AbstractExecutionAwareRequest.reset()`.

  Since:
    4.2

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.